Run FlowCreateTemplates.php on all Flow-enabled wikis in production
Closed, ResolvedPublic

Description

After https://gerrit.wikimedia.org/r/#/c/232489/ rolls out, we need to run this everywhere.

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF added a subscriber: Mattflaschen-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 8:02 PM
Mattflaschen-WMF renamed this task from Run FlowCreateTemplates.php on all Flow-enabled wikis in Beta and production to Run FlowCreateTemplates.php on all Flow-enabled wikis in production.Sep 1 2015, 8:11 PM
Mattflaschen-WMF set Security to None.

It turned out this ran automatically on Beta (I believe as part of update.php).

DannyH triaged this task as Lowest priority.Sep 2 2015, 5:50 PM
DannyH added a subscriber: DannyH.

Ran successfully on all wikis where Flow is enabled. Someone already ran it on sewikimedia.

I spot-checked a few.

Note, I forgot before, but pt.wikibooks needs to be run separately after it's enabled on that wiki.

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:43 PM

Exactly as it is in betalabs.

mysql:research@x1-analytics-slave [flowdb]> SELECT distinct(ref_target_title) FROM flow_wiki_ref  WHERE ref_type = 'template' and ref_target_title in ('LQT_Moved_thread_stub_converted_to_Flow', 'Wikitext_talk_page_converted_to_Flow','FlowMention', 'LQT_page_converted_to_Flow') ; 
+-----------------------------------------+
| ref_target_title                        |
+-----------------------------------------+
| LQT_page_converted_to_Flow              |
| Wikitext_talk_page_converted_to_Flow    |
| LQT_Moved_thread_stub_converted_to_Flow |
| FlowMention                             |
+-----------------------------------------+
4 rows in set (0.05 sec)
Catrope closed this task as Resolved.Oct 9 2015, 7:40 PM
Catrope added a subscriber: Catrope.